> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# External accounts

External Accounts represent your user's financial accounts (bank accounts, debit cards, etc.) that can be used to withdraw funds. Bridge validates all external accounts and performs KYC/KYB on the user so you as a developer don't need to.

You have two options to let customers link bank accounts:

1. Bridge API (covered below)
2. Plaid (refer [here](/platform/orchestration/external-accounts/plaid))

***

## **Link a bank account using the Bridge API**

You can add external fiat accounts through our [External account API](/api-reference/external-accounts/create-a-new-external-account) using the following request.

<Tabs>
  <Tab title="US Bank Account">
    ```bash Request expandable theme={null}
    curl --location 'https://api.bridge.xyz/v0/customers/<customer-id>/external_accounts' \
    --header 'Idempotency-Key: ea-7' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Api-Key: <api-key>' \
    --data '{
      "currency": "usd",
      "account_type": "us",
      "bank_name": "Lead Bank",
      "account_name": "Ada Checking Account",
      "first_name": "Ada",
      "last_name": "Lovelace",
      "account_owner_type": "individual", // specifies an individual account
      "account_owner_name": "Ada Lovelace",
      "account": {
        "routing_number": "101019644",
        "account_number": "215268129123",
        "checking_or_savings": "checking"
      },
      "address": {
        "street_line_1": "923 Folsom Street",
        "country": "USA",
        "state": "CA",
        "city": "San Francisco",
        "postal_code": "941070000"
      }
    }'
    ```

    ```json Response expandable theme={null}
    {
        "id": "039c270f-a038-40be-be7b-43f550ce0678", // external account id
        "customer_id": "23c2d462-4c69-4c5a-b31a-88d035d7e8ae",
        "created_at": "2025-07-05T19:03:50.819Z",
        "updated_at": "2025-07-05T19:03:51.251Z",
        "bank_name": "Lead Bank",
        "account_name": "Ada Checking Account",
        "account_owner_name": "Ada Lovelace",
        "active": true,
        "currency": "usd",
        "account_owner_type": "individual",
        "account_type": "us",
        "first_name": "Ada",
        "last_name": "Lovelace",
        "business_name": null,
        "account": {
            "last_4": "9123",
            "routing_number": "101019644",
            "checking_or_savings": "checking"
        },
        "beneficiary_address_valid": true,
        "last_4": "9123"
    }
    ```
  </Tab>

  <Tab title="SEPA IBAN">
    ```bash Request expandable theme={null}
    curl --location 'https://api.bridge.xyz/v0/customers/<customer-id>/external_accounts' \
    --header 'Idempotency-Key: ea-7' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Api-Key: <api-key>' \
    --data '{
      "currency": "eur",
      "account_type": "iban",
      "bank_name": "Modulr Finance, Ireland Branch",
      "account_name": "GGCF Corporate",
      "iban": {
        "account_number": "IE04MODR99035512826162",
        "country": "IRL",
        "bic": "MODRIE22XXX"
      },
      "account_owner_type": "individual",
      "first_name": "Ada",
      "last_name": "Lovelace",
      "address": {
        "street_line_1": "Floor 6, 2 Grand Canal Square, Dublin, Ireland",
        "country": "IRL",
        "city": "Dublin",
        "postal_code": "D02 A342"
      }
    }'
    ```

    ```curl Response theme={null}
    {
        "id": "c8948ce6-26ac-4d37-a336-742f961a76f3",
        "customer_id": "23c2d400-4c69-4c5a-b31a-88d035d7e8ae",
        "created_at": "2025-07-05T18:45:50.728Z",
        "updated_at": "2025-07-05T18:45:51.373Z",
        "bank_name": "Modulr Finance, Ireland Branch",
        "account_name": "GGCF Corporate",
        "account_owner_name": "Ada Lovelace",
        "active": true,
        "currency": "eur",
        "account_owner_type": "individual",
        "account_type": "iban",
        "first_name": "Ada",
        "last_name": "Lovelace",
        "business_name": null,
        "iban": {
            "last_4": "6162",
            "bic": "MODRIE22XXX",
            "country": "IRL"
        }
    }
    ```
  </Tab>

  <Tab title="MXN CLABE">
    A \$0.01 MXN deposit will be credited to the account when configuring a CLABE external account.

    ```bash Request expandable theme={null}
    curl --location 'https://api.bridge.xyz/v0/customers/23c2d462-4c69-4c5a-b31a-88d035d7e8ae/external_accounts' \
    --header 'Idempotency-Key: ea-6' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Api-Key: <api-key>' \
    --data '{
      "currency": "mxn",
      "account_type": "clabe",
      "account_owner_name": "Ada Lovelace",
      "clabe": {
        "account_number": "626899715090851234"
      },
      "account_name": "Ada Checking Account",
      "bank_name": "BBVA Bancomer",
      "first_name": "Ada",
      "last_name": "Lovelace",
      "account_owner_type": "individual",
      "address": {
        "street_line_1": "Av. Reforma",
        "city": "Mexico City",
        "state": "CDMX",
        "postal_code": "06600",
        "country": "MEX"
      }
    }'
    ```

    ```json Response expandable theme={null}
    {
        "id": "2bb5b814-0128-49a8-977a-77b1bc1cdee2",
        "customer_id": "23c2d462-4c69-4c5a-b31a-88d035d7e8ae",
        "created_at": "2025-07-05T18:59:42.163Z",
        "updated_at": "2025-07-05T18:59:42.713Z",
        "bank_name": "BBVA Bancomer",
        "account_name": "Ada Checking Account",
        "account_owner_name": "Ada Lovelace",
        "active": true,
        "currency": "mxn",
        "account_owner_type": "individual",
        "account_type": "clabe",
        "first_name": "Ada",
        "last_name": "Lovelace",
        "business_name": null,
        "clabe": {
            "last_4": "1234"
        }
    }
    ```
  </Tab>

  <Tab title="Pix Key">
    ```bash Request expandable theme={null}
    curl --location 'https://api.bridge.xyz/v0/customers/23c2d462-4c69-4c5a-b31a-88d035d7e8ae/external_accounts' \
    --header 'Idempotency-Key: ea-6' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Api-Key: <api-key>' \
    --data '{
      "currency": "brl",
      "account_type": "pix",
      "account_owner_name": "Edson Arantes do Nascimento",
      "bank_name": "Banco de Brasil",
      "pix_key": {
        "pix_key": "recipient@example.com",
        "document_number": "12345678901"
      }
    }'
    ```

    ```json Response expandable theme={null}
    {
      "id": "54ef580b-7cda-4d6f-b14a-d556cca243cc",
      "customer_id": "6b8f8b1f-e39d-4fca-8034-e7146ceb7f97",
      "created_at": "2025-09-09T14:54:17.778Z",
      "updated_at": "2025-09-09T14:54:17.791Z",
      "bank_name": "Banco de Brasil",
      "account_name": null,
      "account_owner_name": "Edson Arantes do Nascimento",
      "active": true,
      "currency": "brl",
      "account_type": "pix",
      "pix_key": {
        "account_preview": "re****en****am****com",
        "document_number_last4": "8901"
      }
    }
    ```
  </Tab>

  <Tab title="Pix BR Code">
    ```bash Request expandable theme={null}
    curl --location 'https://api.bridge.xyz/v0/customers/23c2d462-4c69-4c5a-b31a-88d035d7e8ae/external_accounts' \
    --header 'Idempotency-Key: ea-6' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Api-Key: <api-key>' \
    --data '{
      "currency": "brl",
      "account_type": "pix",
      "account_owner_name": "Edson Arantes do Nascimento",
      "bank_name": "Banco de Brasil",
      "br_code": {
        "br_code": "00020126580014br.gov.bcb.pix01366b59366d-d258-42f4-ac27-8b4502b4c44a5204000053039865802BR5917Infinia IP       6009Sao Paulo621005060000M663044399",
        "document_number": "12345678901"
      }
    }'
    ```

    ```json Response expandable theme={null}
    {
      "id": "54ef580b-7cda-4d6f-b14a-d556cca243cc",
      "customer_id": "6b8f8b1f-e39d-4fca-8034-e7146ceb7f97",
      "created_at": "2025-09-09T14:54:17.778Z",
      "updated_at": "2025-09-09T14:54:17.791Z",
      "bank_name": "Banco de Brasil",
      "account_name": null,
      "account_owner_name": "Edson Arantes do Nascimento",
      "active": true,
      "currency": "brl",
      "account_type": "pix",
      "br_code": {
        "account_preview": "00****2658****br.g****cb.p****366b****6d-d****42f4****7-8b****b4c4****0400****0398****2BR5****nfin****P   **** 600**** Pau****1005****00M6****4399",
        "document_number_last4": "8901"
      }
    }
    ```
  </Tab>

  <Tab title="GBP FPS">
    ```bash Request expandable theme={null}
    curl --location 'https://api.bridge.xyz/v0/customers/485c2b50-949c-412b-928a-f56fce42330d/external_accounts' \
    --header 'Idempotency-Key: ea-6' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Api-Key: <api-key>' \
    --data '{
      "currency": "gbp",
      "account_type": "gb",
      "account_owner_name": "Freddie Mercury",
      "first_name": "Freddie",
      "last_name": "Mercury",
      "business_name": null,
      "bank_name": "Bank of England",
      "account": {
        "sort_code": "123456",
        "account_number": "34567890"
      }
    }'
    ```

    ```json Response expandable theme={null}
    {
      "id": "bce9dbe4-bca7-42e0-9cc1-7482069019f1",
      "customer_id": "485c2b50-949c-412b-928a-f56fce42330d",
      "created_at": "2026-01-05T23:54:57.715Z",
      "updated_at": "2026-01-05T23:54:58.201Z",
      "bank_name": "Bank of England",
      "account_name": null,
      "account_owner_name": "Freddie Mercury",
      "active": true,
      "currency": "gbp",
      "account_owner_type": "individual",
      "account_type": "gb",
      "first_name": "Freddie",
      "last_name": "Mercury",
      "business_name": null,
      "account": {
        "sort_code": "123456",
        "account_number": "34567890"
      }
    }
    ```
  </Tab>

  <Tab title="COP BreB">
    ```bash Request expandable theme={null}
    curl --location 'https://api.bridge.xyz/v0/customers/485c2b50-949c-412b-928a-f56fce42330d/external_accounts' \
    --header 'Idempotency-Key: ea-6' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Api-Key: <api-key>' \
    --data '{
      "currency": "cop",
      "account_type": "bre_b",
      "account_owner_name": "Freddie Mercury",
      "account_owner_type": "individual",
      "business_name": null,
      "account": {
        "bre_b_key": "1234567890123456"
      }
    }'
    ```

    ```json Response expandable theme={null}
    {
      "id": "bce9dbe4-bca7-42e0-9cc1-7482069019f1",
      "customer_id": "485c2b50-949c-412b-928a-f56fce42330d",
      "created_at": "2026-01-05T23:54:57.715Z",
      "updated_at": "2026-01-05T23:54:58.201Z",
      "account_owner_name": "Freddie Mercury",
      "active": true,
      "currency": "cop",
      "account_owner_type": "individual",
      "account_type": "bre_b",
      "business_name": null,
      "account": {
        "bre_b_key": "1234567890123456"
      }
    }
    ```
  </Tab>
</Tabs>
